Support » Plugin: MailChimp for WordPress » NOTICE warning on latest version update 2.3

  • Resolved Chris Baldelomar

    (@cbaldelomar)


    Receiving the following NOTICE warning with the latest version update.

    NOTICE: wp-content/plugins/mailchimp-for-wp/includes/class-tools.php:118 – Undefined index: mc4wp_email
    require(‘wp-blog-header.php’), require_once(‘wp-includes/template-loader.php’), include(‘/themes/wpcanvas2/index.php’), get_footer, locate_template, load_template, require_once(‘/themes/wpcanvas2/footer.php’), get_sidebar, locate_template, load_template, require_once(‘/themes/wpcanvas2/sidebar-footer.php’), dynamic_sidebar, call_user_func_array, WP_Widget->display_callback, MC4WP_Lite_Widget->widget, mc4wp_get_form, MC4WP_Lite_Form_Manager->output_form, MC4WP_Form->output, MC4WP_Form->generate_html, MC4WP_Form->get_visible_fields, MC4WP_Tools::replace_variables, MC4WP_Tools::get_known_email

    https://wordpress.org/plugins/mailchimp-for-wp/

Viewing 6 replies - 1 through 6 (of 6 total)
  • Plugin Author Danny van Kooten

    (@dvankooten)

    Hi Chris,

    Thanks for reporting – good catch. I’m pushing out an update (v2.3.1) that fixes this notice as we speak. 🙂

    Sorry for the hassle – won’t happen again!

    I’m also getting this error with 2.3, but only on pages other than the front blog page.

    WordPress is currently telling me there is an update to 2.3.1 available, but is unable to install it at the moment.

    Plugin Author Danny van Kooten

    (@dvankooten)

    Hi Dan, are you entirely sure that’s the exact same notice?

    It was the same notice and is now gone. WordPress was telling me 2.3.1 was “updated successfully”, but wasn’t actually updating it. Now it’s actually updated and the notice is gone. Thanks for the quick response.

    Plugin Author Danny van Kooten

    (@dvankooten)

    Awesome, glad to hear that. Thanks for confirming!

    Updated to 2.3.1. Confirmed that the NOTICE problem is fixed. Awesome response time. Great job Danny!

Viewing 6 replies - 1 through 6 (of 6 total)
  • The topic ‘NOTICE warning on latest version update 2.3’ is closed to new replies.